#   File:       spcheckp.make
#   Target:     spcheckp
#   Created:    Friday, April 7, 2000 10:08:15 AM


MAKEFILE        = spcheckp.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

ObjDir          = :
Includes        = 

Sym-68K         = -sym off

COptions        = {Includes} {Sym-68K} -model cfmseg 


### Source Files ###

SrcFiles        =  
				  spcheckp.c


### Object Files ###

ObjFiles-68K    =  
				  "{ObjDir}spcheckp.c.o"


### Libraries ###

LibFiles-68K    =  
				  "{CFM68KLibraries}NuMathLib.o" 
				  "{SharedLibraries}StdCLib" 
				  "{CFM68KLibraries}NuSIOW.o" 
				  "{SharedLibraries}InterfaceLib" 
				  "{CFM68KLibraries}NuMacRuntime.o" 
				  "{CFM68KLibraries}NuToolLibs.o"


### Default Rules ###

.c.o    .c  {MondoBuild}
	{C} {depDir}{default}.c -o {targDir}{default}.c.o {COptions}


### Build Rules ###

spcheckp    {ObjFiles-68K} {LibFiles-68K} {MondoBuild}
	ILink 
		-o {Targ} 
		{ObjFiles-68K} 
		{LibFiles-68K} 
		{Sym-68K} 
		-mf -d 
		-t 'APPL' 
		-c 'siow' 
		-model cfmseg 
		-state rewrite 
		-compact -pad 0
	If "{Sym-68K}" =~ /-sym [nNuU]/
		ILinkToSYM {Targ}.NJ -mf -sym 3.2 -c 'sade'
	End


spcheckp    "{RIncludes}"SIOW.r {MondoBuild}
	Rez "{RIncludes}"SIOW.r -o {Targ} -append


### Required Dependencies ###

"{ObjDir}spcheckp.c.o"    spcheckp.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .o 
		{Includes} 
		{SrcFiles}


